Mailinglist Archive: opensuse-packaging (33 mails)

< Previous Next >
Re: [opensuse-packaging] Differencies between tools?
  • From: Cougar <cougar@xxxxxxxxx>
  • Date: Fri, 29 Sep 2006 23:10:56 +0300 (EEST)
  • Message-id: <Pine.LNX.4.63.0609292308510.24337@xxxxxxxxxxxx>

On Fri, 29 Sep 2006, Anders Norrbring wrote:

> Another highly annoying thing is that if I build a package with y2pmbuild, it
> contains rights for the user 'compiler' which of course doesn't exist on any
> system.
>
> So, the result is that when I run rpm -i on a source rpm created, I get these
> annoying messages:
>
> rpm -ivh amavisd-new-2.4.3_rc2-2.src.rpm
> 1:amavisd-new warning: user compiler does not exist - using root
> warning: user compiler does not exist - using root
> warning: user compiler does not exist - using root
> warning: user compiler does not exist - using root
> warning: user compiler does not exist - using root
> warning: user compiler does not exist - using root
> warning: user compiler does not exist - using root
> ########################################### [100%]
> warning: user compiler does not exist - using root
> warning: user compiler does not exist - using root
>
> My question is, how do I get around that, so I get "decent" behaving packages?

Specify user and group in SPEC file in %files section like this:

%defattr(644,root,root,755)

or for each file like this:

%attr(755,root,root) %{_datadir}/mythtv/mythvideo/scripts/allocine.pl

---
Cougar
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
List Navigation
Follow Ups